Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class PolygonImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl
                      org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
                          org.eclipse.gmf.gmfgraph.impl.ShapeImpl
                              org.eclipse.gmf.gmfgraph.impl.PolylineImpl
                                  org.eclipse.gmf.gmfgraph.impl.PolygonImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AbstractFigure, Figure, Layoutable, Polygon, Polyline, RealFigure, Shape

Direct Known Subclasses:
  PolygonDecorationImpl, ScalablePolygonImpl

    public class PolygonImpl

extends PolylineImpl
implements Polygon

An implementation of the model object 'Polygon'.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.PolylineImpl
`template`

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.ShapeImpl
`fill, FILL_EDEFAULT, LINE_KIND_EDEFAULT, LINE_WIDTH_EDEFAULT, lineKind, lineWidth, outline, OUTLINE_EDEFAULT, XOR_FILL_EDEFAULT, XOR_OUTLINE_EDEFAULT, xorFill, xorOutline`

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
`children, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl
`backgroundColor, border, font, foregroundColor, insets, layout, layoutData, location, maximumSize, minimumSize, preferredSize, size`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `PolygonImpl()`

Method Summary
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.PolylineImpl
`eGet, eInverseRemove, eIsSet, eSet, eUnset, getTemplate`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.ShapeImpl
`getLineKind, getLineWidth, getResolvedChildren, isFill, isOutline, isXorFill, isXorOutline, setFill, setLineKind, setLineWidth, setOutline, setXorFill, setXorOutline, toString`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.RealFigureImpl
`getChildren, getName, setName`

Methods inherited from class org.eclipse.gmf.gmfgraph.impl.AbstractFigureImpl

`basicSetBackgroundColor, basicSetBorder, basicSetFont, basicSetForegroundColor, basicSetInsets, basicSetLayout, basicSetLayoutData, basicSetLocation, basicSetMaximumSize, basicSetMinimumSize, basicSetPreferredSize, basicSetSize, eInverseAdd, getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLayout, getLayoutData, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLayout, setLayoutData, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Polyline
`getTemplate`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Shape
`getLineKind, getLineWidth, getResolvedChildren, isFill, isOutline, isXorFill, isXorOutline, setFill, setLineKind, setLineWidth, setOutline, setXorFill, setXorOutline`

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### PolygonImpl

    protected PolygonImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `PolylineImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.